package com.jwipc.supplier.constant;

import lombok.Getter;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
@Getter
public enum SupplierChangeBpmState {
    TO_BE_SUBMITTED(0, "待提交"),
    APPROVALING(1, "审批中"),
    PASS(2, "通过"),
    REJECT(3, "驳回");
    private final int val;
    private final String title;

    SupplierChangeBpmState(int val, String title) {
        this.val = val;
        this.title = title;
    }
    public static SupplierChangeBpmState valueOf(int val) {
        for (SupplierChangeBpmState state : values()) {
            if (state.val == val) {
                return state;
            }
        }
        return null;
    }
}
